| ovrnalfold

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Calculate locally stable secondary structures of RNAs

## Description

This is a port of the Vienna RNA package program RNAlfold.

It reads RNA sequences, calculates their minimum free energy (mfe) structure and prints the mfe structure in bracket notation and its free energy. Optionally it also computes the partition function (pf) and base pairing probability matrix, and prints the free energy of the thermodynamic ensemble, the frequency of the mfe structure in the ensemble, and the ensemble diversity.

## Algorithm

See the original documentation for the Vienna RNA package http://www.tbi.univie.ac.at/~ivo/RNA/

## Usage

Here is a sample session with ovrnalfold

    % ovrnalfold
    Calculate locally stable secondary structures of RNAs
    Input nucleotide sequence: tembl:d00596
    Vienna RNALfold output file [d00596.ovrnalfold]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    Calculate locally stable secondary structures of RNAs
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-sequence]          sequence   Nucleotide sequence filename and optional
                                      format, or reference (input USA)
      [-outfile]           outfile    [*.ovrnalfold] Vienna RNALfold output file

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -constraintfile     infile     Vienna RNA structure constraints file
                                      (optional)
       -paramfile          infile     Vienna RNA parameters file (optional)
       -separation         integer    [150] Maximum allowed separation (Any
                                      integer value)
       -temperature        float      [37.0] Temperature (Any numeric value)
       -[no]gu             boolean    [Y] Allow GU pairs
       -[no]closegu        boolean    [Y] Allow GU pairs at end of helices
       -[no]lp             boolean    [Y] Allow lonely pairs
       -[no]convert        boolean    [Y] Convert T to U
       -nsbases            string     Non-standard bases (Any string)
       -[no]tetraloop      boolean    [Y] Stabilizing energies for tetra-loops
       -energy             menu       [0] Rarely used option to fold sequences
                                      from the ABCD... alphabet (Values: 0 (BP); 1
                                      (Any with GC); 2 (Any with AU parameters))
       -dangles            menu       [1] Method (Values: 0 (Ignore); 1 (Only
                                      unpaired bases for just one dangling end); 2
                                      (Always use dangling energies); 3 (Allow
                                      coaxial stacking of adjacent helices))

       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1            integer    Start of the sequence to be used
       -send1              integer    End of the sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -scircular1         boolean    Sequence is circular
       -squick1            boolean    Read id and sequence only
       -sformat1           string     Input sequence format
       -iquery1            string     Input query fields or ID list
       -ioffset1           integer    Input start position offset
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-sequence] (Parameter 1) | sequence | Nucleotide sequence filename and optional format, or reference (input USA) | Readable sequence | Required
[-outfile] (Parameter 2) | outfile | Vienna RNALfold output file | Output file | <*>.ovrnalfold
Additional (Optional) qualifiers
(none)
Advanced (Unprompted) qualifiers
-constraintfile | infile | Vienna RNA structure constraints file (optional) | Input file | Required
-paramfile | infile | Vienna RNA parameters file (optional) | Input file | Required
-separation | integer | Maximum allowed separation | Any integer value | 150
-temperature | float | Temperature | Any numeric value | 37.0
-[no]gu | boolean | Allow GU pairs | Boolean value Yes/No | Yes
-[no]closegu | boolean | Allow GU pairs at end of helices | Boolean value Yes/No | Yes
-[no]lp | boolean | Allow lonely pairs | Boolean value Yes/No | Yes
-[no]convert | boolean | Convert T to U | Boolean value Yes/No | Yes
-nsbases | string | Non-standard bases | Any string |
-[no]tetraloop | boolean | Stabilizing energies for tetra-loops | Boolean value Yes/No | Yes
-energy | list | Rarely used option to fold sequences from the ABCD... alphabet |
0 | (BP)
1 | (Any with GC)
2 | (Any with AU parameters)
| 0
-dangles | list | Method |
0 | (Ignore)
1 | (Only unpaired bases for just one dangling end)
2 | (Always use dangling energies)
3 | (Allow coaxial stacking of adjacent helices)
| 1
Associated qualifiers
"-sequence" associated sequence qualifiers
-sbegin1 -sbegin_sequence | integer | Start of the sequence to be used | Any integer value | 0
-send1 -send_sequence | integer | End of the sequence to be used | Any integer value | 0
-sreverse1 -sreverse_sequence | boolean | Reverse (if DNA) | Boolean value Yes/No | N
-sask1 -sask_sequence | boolean | Ask for begin/end/reverse | Boolean value Yes/No | N
-snucleotide1 -snucleotide_sequence | boolean | Sequence is nucleotide | Boolean value Yes/No | N
-sprotein1 -sprotein_sequence | boolean | Sequence is protein | Boolean value Yes/No | N
-slower1 -slower_sequence | boolean | Make lower case | Boolean value Yes/No | N
-supper1 -supper_sequence | boolean | Make upper case | Boolean value Yes/No | N
-scircular1 -scircular_sequence | boolean | Sequence is circular | Boolean value Yes/No | N
-squick1 -squick_sequence | boolean | Read id and sequence only | Boolean value Yes/No | N
-sformat1 -sformat_sequence | string | Input sequence format | Any string |
-iquery1 -iquery_sequence | string | Input query fields or ID list | Any string |
-ioffset1 -ioffset_sequence | integer | Input start position offset | Any integer value | 0
-sdbname1 -sdbname_sequence | string | Database name | Any string |
-sid1 -sid_sequence | string | Entryname | Any string |
-ufo1 -ufo_sequence | string | UFO features | Any string |
-fformat1 -fformat_sequence | string | Features format | Any string |
-fopenfile1 -fopenfile_sequence | string | Features file name | Any string |
"-outfile" associated outfile qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

ovrnalfold reads any normal sequence USAs.

### Input files for usage example

'tembl:d00596' is a sequence entry in the example nucleic acid database 'tembl'

### Database entry: tembl:d00596

    ID   D00596; SV 1; linear; genomic DNA; STD; HUM; 18596 BP.
    XX
    AC   D00596;
    XX
    DT   17-JUL-1991 (Rel. 28, Created)
    DT   07-DEC-2007 (Rel. 94, Last updated, Version 6)
    XX
    DE   Homo sapiens gene for thymidylate synthase, complete cds.
    XX
    KW   .
    XX
    OS   Homo sapiens (human)
    OC   Eukaryota; Metazoa; Chordata; Craniata; Vertebrata; Euteleostomi; Mammalia;
    OC   Eutheria; Euarchontoglires; Primates; Haplorrhini; Catarrhini; Hominidae;
    OC   Homo.
    XX
    RN   [1]
    RP   1-18596
    RX   PUBMED; 2243092.
    RA   Kaneda S., Nalbantoglu J., Takeishi K., Shimizu K., Gotoh O., Seno T.,
    RA   Ayusawa D.;
    RT   "Structural and functional analysis of the human thymidylate synthase
    RT   gene";
    RL   J Biol Chem 265(33):20277-20284(1990).
    XX
    DR   Ensembl-Gn; ENSG00000176890; Homo_sapiens.
    DR   Ensembl-Tr; ENST00000323274; Homo_sapiens.
    DR   GDB; 163670.
    DR   GDB; 182340.
    XX
    CC   These data kindly submitted in computer readable form by:
    CC   Sumiko Kaneda
    CC   National Institute of Genetics
    CC   1111 Yata
    CC   Mishima 411
    CC   Japan
    XX
    FH   Key             Location/Qualifiers
    FH
    FT   source          1..18596
    FT                   /organism="Homo sapiens"
    FT                   /chromosome="18"
    FT                   /map="18p11.32"
    FT                   /mol_type="genomic DNA"
    FT                   /clone="lambdaHTS-1 and lambdaHTS-3"
    FT                   /db_xref="taxon:9606"
    FT   repeat_region   1..148
    FT                   /rpt_family="Alu"
    FT   repeat_region   202..477
    FT                   /rpt_family="Alu"

      [Part of this file has been deleted for brevity]

         ttttgttttt agcttcagcg agaacccaga cctttcccaa agctcaggat tcttcgaaaa     15660
         gttgagaaaa ttgatgactt caaagctgaa gactttcaga ttgaagggta caatccgcat     15720
         ccaactatta aaatggaaat ggctgtttag ggtgctttca aaggagctcg aaggatattg     15780
         tcagtcttta ggggttgggc tggatgccga ggtaaaagtt ctttttgctc taaaagaaaa     15840
         aggaactagg tcaaaaatct gtccgtgacc tatcagttat taatttttaa ggatgttgcc     15900
         actggcaaat gtaactgtgc cagttctttc cataataaaa ggctttgagt taactcactg     15960
         agggtatctg acaatgctga ggttatgaac aaagtgagga gaatgaaatg tatgtgctct     16020
         tagcaaaaac atgtatgtgc atttcaatcc cacgtactta taaagaaggt tggtgaattt     16080
         cacaagctat ttttggaata tttttagaat attttaagaa tttcacaagc tattccctca     16140
         aatctgaggg agctgagtaa caccatcgat catgatgtag agtgtggtta tgaactttaa     16200
         agttatagtt gttttatatg ttgctataat aaagaagtgt tctgcattcg tccacgcttt     16260
         gttcattctg tactgccact tatctgctca gttccttcct aaaatagatt aaagaactct     16320
         ccttaagtaa acatgtgctg tattctggtt tggatgctac ttaaaagagt atattttaga     16380
         aataatagtg aatatatttt gccctatttt tctcatttta actgcatctt atcctcaaaa     16440
         tataatgacc atttaggata gagttttttt tttttttttt taaactttta taaccttaaa     16500
         gggttatttt aaaataatct atggactacc attttgccct cattagcttc agcatggtgt     16560
         gacttctcta ataatatgct tagattaagc aaggaaaaga tgcaaaacca cttcggggtt     16620
         aatcagtgaa atatttttcc cttcgttgca taccagatac ccccggtgtt gcacgactat     16680
         ttttattctg ctaatttatg acaagtgtta aacagaacaa ggaattattc caacaagtta     16740
         tgcaacatgt tgcttatttt caaattacag tttaatgtct aggtgccagc ccttgatata     16800
         gctatttttg taagaacatc ctcctggact ttgggttagt taaatctaaa cttatttaag     16860
         gattaagtag gataacgtgc attgatttgc taaaagaatc aagtaataat tacttagctg     16920
         attcctgagg gtggtatgac ttctagctga actcatcttg atcggtagga ttttttaaat     16980
         ccatttttgt aaaactattt ccaagaaatt ttaagccctt tcacttcaga aagaaaaaag     17040
         ttgttggggc tgagcactta attttcttga gcaggaagga gtttcttcca aacttcacca     17100
         tctggagact ggtgtttctt tacagattcc tccttcattt ctgttgagta gccgggatcc     17160
         tatcaaagac caaaaaaatg agtcctgtta acaaccacct ggaacaaaaa cagattttat     17220
         gcatttatgc tgctccaaga aatgctttta cgtctaagcc agaggcaatt aattaatttt     17280
         tttttttttg acatggagtc actgtccgtt gcccaggctg cagtgcagtg gcgcaatctt     17340
         ggctcactgc aacctccacc tcccaggttc aagtgattct cctgcctcag cctcccatgt     17400
         agctgggatc acaggcacct gccaccatgc ccggctaatt ttttgtattt tttgtagaga     17460
         cagggtttca ccatgttggc caggctggtc tcaaacacct gacctcaaat gatccacctg     17520
         cctcagcctc ccaaagtgtt gggattacag gcgtaagcca ccatgcccag ccctgaatta     17580
         atatttttaa aataagtttg gagactgttg gaaataatag ggcagaggaa catattttac     17640
         tggctacttg ccagagttag ttaactcatc aaactctttg ataatagttt gacctctgtt     17700
         ggtgaaaatg agccatgatc tcttgaacat gatcagaata aatgccccag ccacacaatt     17760
         gtagtccaaa ctttttaggt cactaacttg ctagatggtg ccaggttttt ttgcacaagg     17820
         agtgcaaatg ttaagatctc cactagtgag gaaaggctag tattacagaa gccttgtcag     17880
         aggcaattga acctccaagc cctggccctc aggcctgagg attttgatac agacaaactg     17940
         aagaaccgtt tgttagtgga tattgcaaac aaacaggagt caaagcttgg tgctccacag     18000
         tctagttcac gagacaggcg tggcagtggc tggcagcatc tcttctcaca ggggccctca     18060
         ggcacagctt accttgggag gcatgtagga agcccgctgg atcatcacgg gatacttgaa     18120
         atgctcatgc aggtggtcaa catactcaca caccctagga ggagggaatc agatcggggc     18180
         aatgatgcct gaagtcagat tattcacgtg gtgctaactt aaagcagaag gagcgagtac     18240
         cactcaattg acagtgttgg ccaaggctta gctgtgttac catgcgtttc taggcaagtc     18300
         cctaaacctc tgtgcctcag gtccttttct tctaaaatat agcaatgtga ggtggggact     18360
         ttgatgacat gaacacacga agtccctctg agaggttttg tggtgccctt taaaagggat     18420
         caattcagac tctgtaaata tccagaatta tttgggttcc tctggtcaaa agtcagatga     18480
         atagattaaa atcaccacat tttgtgatct atttttcaag aagcgtttgt attttttcat     18540
         atggctgcag cagctgccag gggcttgggg tttttttggc aggtagggtt gggagg         18596
    //

## Output file format

ovrnalfold outputs a graph to the specified graphics device. outputs a report format file. The default format is ...

### Output files for usage example

### File: d00596.ovrnalfold

    .((((..((.......))..)))). ( -3.80) 18572
    .(((((((((((.....))..))))))))). (-11.00) 18553
    .((((..(((((((((((.....))..))))))))).....)))). (-13.60) 18547
    .((..((..((.((((...((((.((((....))))))))......)))).))....))..)). (-14.60) 18533
    .(((.(..(((......)))..).))).....(((((((((((.....))..))))))))). (-15.60) 18522
    .((..(((...(((.(..(((......)))..).))).....(((((((((((.....))..)))))))))......)))..)). (-19.10) 18512
    .(((.((((((............(((.(..(((......)))..).))).....(((((((((((.....))..)))))))))...)))))).))). (-20.30) 18500
    .(((.....)))......((..(((...(((.(..(((......)))..).))).....(((((((((((.....))..)))))))))......)))..)). (-21.00) 18495
    .(((((........)))))....((..(((...(((.(..(((......)))..).))).....(((((((((((.....))..)))))))))......)))..)). (-22.00) 18490
    .(((((((((((((......))))..)))))))))(..(((...(((.(..(((......)))..).))).....(((((((((((.....))..)))))))))......)))..). (-23.20) 18479
    .((.((((((((((((((......))))..)))))))))).)).....(((.(..(((......)))..).))).....(((((((((((.....))..))))))))). (-24.50) 18475
    .(((((.(((((.((((((((.....(((.....))).(((........)))....)))).)))).))))).))))).((((..(((((((((((.....))..))))))))).....)))). (-26.20) 18470
    .((..((.((.((.((((((((((((((......))))..)))))))))).)).....(((.(..(((......)))..).))).....(((((((((((.....))..)))))))))...)).))..)). (-26.90) 18465
    .((((((.((((((((...((.((((((((((((((......))))..)))))))))).))...((((...((........))..((((.((....)).))))...))))......)))))))).)).)))). (-31.50) 18457
    .((..((..((((((((....(((..((.((((((((((((((......))))..)))))))))).)).....(((.(..(((......)))..).)))....)))))))))))))..))...((((..((.......))..)))). (-32.80) 18450
    .(((((((....))))))) ( -4.60) 18439
    .((((((......(((((((....))))))).((((((((....(((..((.((((((((((((((......))))..)))))))))).)).....(((.(..(((......)))..).)))....)))))))))))...)))))) (-35.60) 18427
    .((((.....)))). ( -4.70) 18405
    .((((.((((.....)))))))). ( -7.50) 18400
    .((((......((((.((((.....)))))))).......)))). (-12.42) 18390
    .((((((..(((.(((........))))))....)))))). (-12.60) 18381
    .(((((((((..(((.(((........))))))....))))))...))). (-13.80) 18378
    .((((((...((((...))))...(((((((((((.....)))).((.(((((...((((.......(((((...((....))...)))))........))))))))).)).......))))))).)))))). (-34.36) 18375
    .(((...(((((((..((((...)))))))))))...((((.....)))).))). (-14.60) 18369
    ((..(((...(((((((..((((...)))))))))))...((((.....)))).)))..)). (-15.00) 18366
    .(((..(((...(((((((..((((...)))))))))))...((((.....)))).)))..))) (-15.20) 18364
    .(((((.......((.(((((((..((((...))))))))))))).((((.....))))))))). (-15.30) 18360
    .((((((((((.((.........)))))))))))). (-14.00) 18353
    .((.((((((((((.((.........)))))))))))))). (-14.50) 18350
    .((((....)))). ( -1.00) 18337
    .(((((....((((....))))....((((((((((.((.........))))))))))))...))))). (-18.90) 18328
    .((((((........((((....))))....((((((((((.((.........))))))))))))..)))))). (-19.50) 18323
    .(((((((((.........((((....))))....((((((((((.((.........))))))))))))..(((.(((........))))))..))))))))). (-28.60) 18319
    .(((.((((.((((((.........((((....))))....((((((((((.((.........))))))))))))..)))))).)))).))). (-27.40) 18313
    .((((((((..((((((.((.((...............))..)).)))))).(((((((((.((.........)))))))))))....)))))))). (-30.56) 18303
    .((((((........(..((.((((.((((((.........((((....))))....((((((((((.((.........))))))))))))..)))))).)))).))..)........)))))). (-38.09) 18297
    .(((((((...((((((((..((((((.((.((...............))..)).)))))).(((((((((.((.........)))))))))))....))))))))..((((.((((.....)))))))).....)))).))). (-43.46) 18293
    .(((.(....).))). ( -2.30) 18282
    .((((((((.(....).))........((((((((..((((((.((.((...............))..)).)))))).(((((((((.((.........)))))))))))....)))))))).)))))) (-36.56) 18277
    .((((((..((((((((.......((((((((..(((((..(((..........................)))....))))))))))))).)))).)))))))))). (-28.87) 18272
    ((((((..((((......))))..)))))). ( -8.10) 18266
    .((((..((((((..((((......))))..))))))........((((((((..((((((.((.((...............))..)).)))))).(((((((((.((.........)))))))))))....))))))))..)))). (-43.06) 18259
    .(((((...(((....)))..))))). (-10.40) 18250
    .(((.....))). ( -2.80) 18234
    .(((((((((.....))).....(((((...(((....)))..)))))..........)))))). (-17.10) 18228
    .(((...((...(((.....))).....(((((...(((....)))..)))))....)).))). (-18.60) 18223
    ((..((..((((..(((...((...(((.....))).....(((((...(((....)))..)))))....)).))).....))))..))..)). (-24.00) 18210
    .((((((((..(((..........)))..)))))))). (-13.60) 18207
    .((((((........((((((((..(((..........)))..)))))))).......(((((...(((....)))..))))).............))).))). (-28.40) 18193
    .(((((((((.(...........((((((((..(((..........)))..)))))))).......(((((...(((....)))..)))))..........))))).))))). (-33.80) 18185

      [Part of this file has been deleted for brevity]

    .(((...((....)).........((((....(((....))).....)))).))). (-14.80)  424
    (((((((....((...((....))...))....))))))). ( -8.90)  415
    .(((((.....(((((.......))))).((....)).......))))). ( -9.90)  402
    .(((((.(.((((....)))).)......(((((..(((......................(((....)))...((.....)))))..))))).......))))). (-33.70)  395
    ((((..(....)..)))). ( -5.10)  393
    (((((.(.((...(((((.....(((((.......))))).((....)).......))))).....(((....)))..)).).))))). (-28.50)  390
    (((.((((.(((...((.(.((((....)))).).)).))).)))).))). (-19.80)  384
    ((.((((.(((.(((...((.(.((((....)))).).)).))).)))..((....)).........)))).)). (-22.20)  381
    .(((.((((.(((.(((...((.(.((((....)))).).)).))).)))..((....)).........)))).))) (-22.40)  379
    .(((((............(((.((((.(((...((.(.((((....)))).).)).))).)))).)))))))). (-29.10)  366
    .(((.((((((..(((((.((..(((.(((..(((.....)))))))))..))))))).)).)))).))). (-29.90)  361
    .((.(((.((((((..(((((.((..(((.(((..(((.....)))))))))..))))))).)).)))).))).)). (-30.40)  358
    .((((((((.....(((((............(((.((((.(((...((.(.((((....)))).).)).))).)))).))))))))....)))))))). (-33.00)  353
    (((((((..((.(((.((((((..(((((.((..(((.(((..(((.....)))))))))..))))))).)).)))).))).)).....))))))). (-35.80)  350
    .(((((((.(((((((..((.(((.((((((..(((((.((..(((.(((..(((.....)))))))))..))))))).)).)))).))).)).....))))))).))))))). (-39.30)  341
    .((((((..(.(((((((.(((((((..((.(((.((((((..(((((.((..(((.(((..(((.....)))))))))..))))))).)).)))).))).)).....))))))).)))))))).)))))). (-50.30)  331
    .((...((((((..(.(((((((.(((((((..((.(((.((((((..(((((.((..(((.(((..(((.....)))))))))..))))))).)).)))).))).)).....))))))).)))))))).)))))).)). (-50.60)  326
    .((.((...((((((..(.(((((((.(((((((..((.(((.((((((..(((((.((..(((.(((..(((.....)))))))))..))))))).)).)))).))).)).....))))))).)))))))).)))))).)).)). (-51.70)  323
    .(((.......))). ( -1.10)  297
    .(((((...(((.......)))...))))). ( -5.80)  289
    .((((.....(((((...(((.......)))...))))).....)))). ( -8.80)  280
    .(((((.((((((.....))).....(((((...(((.......)))...)))))....)))))))). (-15.10)  264
    .((..(((((......(((.....))).....(((((...(((.......)))...))))).)))))...)). (-16.20)  258
    .((((.((..(((((......(((.....))).....(((((...(((.......)))...))))).)))))...)))))). (-20.40)  253
    .((((((.((....((((.((..(((((......(((.....))).....(((((...(((.......)))...))))).)))))...)))))).)))))))) (-30.20)  240
    ((......)). ( -0.20)  228
    (((((.......))))). ( -6.10)  219
    (((((((.......))))).)). ( -8.00)  217
    .((((...(((..........................(((((((.......))))).)).((((((..(((.(((.((..((.(((((......(((.....)))...))))).))..)).)))....)))..))))))...)))..)))). (-36.40)  180
    .((....)). ( -2.60)  176
    .(((((((.((....)).))))))). ( -5.20)  170
    .((((((....(((((((.((....)).)))))))....)))))). ( -6.00)  160
    .(((.((((((....(((((((.((....)).)))))))....)))))).))). ( -6.10)  156
    .((((..(((.((((((....(((((((.((....)).)))))))....)))))).)))..........(((((.......))))))))). (-19.00)  150
    .(((((((((((((((((((((((((((((....(..........)....))))))))))))))))))))))))))))). (-41.90)  126
    .((((((((((((((((((((((((((((((((((((....(..........)....))))))))))))))............)))))))))))))))))))))). (-50.20)  119
    .(((((((((((..((((((((((((((((((((((((((((((((((....(..........)....))))))))))))))............))))))))))))))))))))))))))))))). (-64.10)  108
    ((.(((((((((((..((((((((((((((((((((((((((((((((((....(..........)....))))))))))))))............))))))))))))))))))))))))))))))).)). (-68.00)  106
    .((((((((((((.(((((((((((..((((((((((((((((((((((((((((((((((....(..........)....))))))))))))))............))))))))))))))))))))))))))))))).)))))))))))). (-93.50)   95
    .(((....))). ( -1.40)   81
    .(((((((.((((....)).))))))))). (-15.50)   64
    .((((..(((((((.((((....)).))))))))))))). (-21.80)   58
    .((((((((..(((((((.((((....)).))))))))))))).)))) (-27.10)   54
    .((((....)))). ( -2.30)   42
    .((((..........((((....))))....((((..(((((((.((((....)).))))))))))))).)))) (-29.90)   28
    ((((...)))). ( -3.60)   25
    .(((.....((((...)))).......((((....))))..))). (-10.60)   16
    .(((.(((((.(....).))))).))). (-13.30)    6
    .((((.(((.(((((.(....).))))).))).)))). (-18.40)    1

     (-5380.12)

## Data files

For details of Vienna RNA file formats, see the original documentation http://www.tbi.univie.ac.at/~ivo/RNA/

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
banana | Plot bending and curvature data for B-DNA
btwisted | Calculate the twisting in a B-DNA sequence
einverted | Find inverted repeats in nucleotide sequences
ovrnaalifold | Calculate secondary structures for a set of aligned RNAs
ovrnaalifoldpf | Calculate secondary structures for a set of aligned RNAs (partition)
ovrnacofold | Calculate secondary structures of RNA dimers
ovrnacofoldconc | Calculate secondary structures of RNA dimers (concentrations)
ovrnacofoldpf | Calculate secondary structures of RNA dimers (partitioning)
ovrnadistance | Calculate distances between RNA secondary structures
ovrnaduplex | Predict RNA duplex (hybridization) sites and structure
ovrnaeval | Calculate energy of RNA sequences with a given secondary structure
ovrnaevalpair | Calculate energy of RNA sequences on given secondary structure
ovrnafold | Calculate min. energy RNA structure / pair probabilities (partition)
ovrnafoldpf | Calculate min. energy RNA structure / pair probabilities
ovrnaheat | Calculate specific heat of RNA melting
ovrnainverse | Find RNA sequences with a given secondary structure
ovrnaplot | Draw RNA secondary structures
ovrnasubopt | Calculate suboptimal secondary structure of RNA
sirna | Find siRNA duplexes in mRNA
vrna2dfold | Calculate RNA structures and samples of k,l neighbourhoods
vrnaaliduplex | RNA duplex calculation for two sequence alignments
vrnaalifold | Calculate secondary structures for a set of aligned RNAs
vrnaalifoldpf | Calculate secondary structures for a set of aligned RNAs (partition)
vrnacofold | Calculate secondary structures of RNA dimers
vrnacofoldconc | Calculate secondary structures of RNA dimers (concentrations)
vrnacofoldpf | Calculate secondary structures of RNA dimers (partitioning)
vrnadistance | Calculate distances between RNA secondary structures
vrnaduplex | Predict RNA duplex (hybridization) sites and structure
vrnaeval | Calculate energy of RNA sequences with a given secondary structure
vrnaevalpair | Calculate energy of RNA sequences on given secondary structure
vrnafold | Calculate min. energy RNA secondary structures and pair probabilities
vrnafoldpf | Calculate min. energy RNA structures / pair probabilities (partition)
vrnaheat | Calculate specific heat of RNA melting
vrnainverse | Find RNA sequences with a given secondary structure
vrnalalifoldpf | Calculate secondary structures for a set of aligned RNAs (partition)
vrnalfold | Calculate locally stable secondary structures of RNAs
vrnalfoldz | Calculate locally stable secondary structures of RNAs plus zscore
vrnapkplex | Calculate RNA structures plus pseudoknots
vrnaplfold | Compute avg. pair probabilities for local base pairs in RNA sequences
vrnaplot | Draw RNA secondary structures
vrnasubopt | Calculate suboptimal secondary structures of RNAs

## Author(s)

This program is an EMBOSS conversion of a program written by Ivo Hofacker as part of his VIENNA package.

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

Converted (October 2005) by Alan Bleasby

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments